---
metadata:
  - name: generator
    content: Diplodoc Platform v5.46.1
alternate:
  - https://yandex.com.tr/support/wiki/en/api-ref/pages/pages__create_page.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/wiki/en/llms.txt

<div class="openapi">

# Create Page

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/pages
```

</div>

</div>

</div>

### Query parameters

#|
|| **Name** | **Description** ||
||

_fields_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_is_silent_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

Do not send a page creation notification to subscribers

_Default:_{.json-schema-reset .json-schema-value} `false`
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "title": "example",
  "slug": "example",
  "content": "example",
  "access_policy": {
    "access_type": "inherited",
    "all_staff_role": "reader"
  }
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**Any of 2 types**" %}{.json-schema-combinators data-marker=or}

- **Type**: string

  _Example:_{.json-schema-reset .json-schema-example} `example`

- **Type**: string

  _Example:_{.json-schema-reset .json-schema-example} `example`

{% endcut %}

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Max length:_{.json-schema-reset .json-schema-assertion} `255`

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_access_policy_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **AccessPolicyUpdateSchema**

  **Type**: [AccessPolicyUpdateSchema](#entity-AccessPolicyUpdateSchema)

  Schema for updating the page access policy

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "access_type": "inherited",
    "all_staff_role": "reader"
  }
  ```

  {% endcut %}

{% endcut %}

The page access settings

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "access_type": "inherited",
  "all_staff_role": "reader"
}
```

{% endcut %}
{.table-cell}
||
||

_content_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### PageAccessTypeAPI {#entity-PageAccessTypeAPI}

Page access type:
- `inherited` — inherited from the parent page
- `all_staff` — access for all staff members
- `custom` — personal accesses


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `inherited`, `all_staff`, `custom`

</div>

<div class="openapi-entity">

### RoleAllStaffAPI {#entity-RoleAllStaffAPI}

Role for "all staff members" access:
- `reader` — read
- `editor` — edit
- `extra_editor` — extended editing (access management)


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `reader`, `editor`, `extra_editor`

</div>

<div class="openapi-entity">

### AccessPolicyUpdateSchema {#entity-AccessPolicyUpdateSchema}

Schema for updating the page access policy

#|
|| **Name** | **Description** ||
||

_access_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageAccessTypeAPI**

  **Type**: [PageAccessTypeAPI](#entity-PageAccessTypeAPI)

  Page access type:
  - `inherited` — inherited from the parent page
  - `all_staff` — access for all staff members
  - `custom` — personal accesses


  _Enum:_{.json-schema-reset .json-schema-value} `inherited`, `all_staff`, `custom`

{% endcut %}

Page access type

_Example:_{.json-schema-reset .json-schema-example} `inherited`
{.table-cell}
||
||

_all_staff_role_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **RoleAllStaffAPI**

  **Type**: [RoleAllStaffAPI](#entity-RoleAllStaffAPI)

  Role for "all staff members" access:
  - `reader` — read
  - `editor` — edit
  - `extra_editor` — extended editing (access management)


  _Enum:_{.json-schema-reset .json-schema-value} `reader`, `editor`, `extra_editor`

{% endcut %}

Role for "all staff members" access (temporarily, only the `editor` role is available)

_Example:_{.json-schema-reset .json-schema-example} `reader`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "access_type": "inherited",
  "all_staff_role": "reader"
}
```

{% endcut %}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": 0,
  "slug": "example",
  "title": "example",
  "page_type": "page",
  "redirect": {
    "page_id": 0,
    "redirect_target": {
      "id": 0,
      "slug": "example",
      "title": "example",
      "page_type": null
    }
  },
  "breadcrumbs": [
    {
      "id": 0,
      "title": "example",
      "slug": "example",
      "page_exists": true
    }
  ],
  "attributes": {
    "created_at": "2025-01-01T00:00:00Z",
    "modified_at": "2025-01-01T00:00:00Z",
    "lang": "example",
    "is_readonly": true,
    "comments_count": 0,
    "comments_enabled": true,
    "keywords": [
      "example"
    ],
    "is_collaborative": true,
    "is_draft": true
  },
  "content": "example",
  "access_policy": {
    "access_type": "inherited",
    "inherited_access_type": "all_staff",
    "all_staff_role": "reader",
    "has_external": true,
    "invite": {
      "status": null
    }
  },
  "access_lists": {
    "direct": [
      {
        "id": "example",
        "created_at": "2025-01-01T00:00:00Z",
        "user": null,
        "group": null,
        "role": null,
        "inheritance": null
      }
    ],
    "by_link": [
      null
    ],
    "inherited": [
      null
    ]
  },
  "owner": {
    "user": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": null,
      "name": "example",
      "type": null,
      "metadata": null,
      "members_count": 0
    }
  }
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Unique page identifier
{.table-cell}
||
||

_page_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Page type

_Enum:_{.json-schema-reset .json-schema-value} `page`, `grid`, `wysiwyg`, `template`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Page address (slug)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Page title

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_access_lists_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageAccessListsSchema**

  **Type**: [PageAccessListsSchema](#entity-PageAccessListsSchema)

  Page access lists

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "direct": [
      {
        "id": "example",
        "created_at": "2025-01-01T00:00:00Z",
        "user": {
          "id": 0,
          "identity": null,
          "username": "example",
          "display_name": "example",
          "is_dismissed": true,
          "affiliation": "example"
        },
        "group": {
          "id": "example",
          "identity": null,
          "name": "example",
          "type": null,
          "metadata": null,
          "members_count": 0
        },
        "role": "reader",
        "inheritance": "inherited"
      }
    ],
    "by_link": [
      null
    ],
    "inherited": [
      null
    ]
  }
  ```

  {% endcut %}

{% endcut %}

**Not returned by default**

Specify `access_lists` in the `?fields=access_lists, ...` list to include it in the response.

The page access lists

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "direct": [
    {
      "id": "example",
      "created_at": "2025-01-01T00:00:00Z",
      "user": null,
      "group": null,
      "role": "reader",
      "inheritance": "inherited"
    }
  ],
  "by_link": [
    null
  ],
  "inherited": [
    null
  ]
}
```

{% endcut %}
{.table-cell}
||
||

_access_policy_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageAccessPolicySchema**

  **Type**: [PageAccessPolicySchema](#entity-PageAccessPolicySchema)

  Page access policy

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "access_type": "inherited",
    "inherited_access_type": "all_staff",
    "all_staff_role": "reader",
    "has_external": true,
    "invite": {
      "status": 0
    }
  }
  ```

  {% endcut %}

{% endcut %}

**Not returned by default**

Specify `access_policy` in the `?fields=access_policy, ...` list to include it in the response.

The page access settings

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "access_type": "inherited",
  "inherited_access_type": "all_staff",
  "all_staff_role": "reader",
  "has_external": true,
  "invite": {
    "status": 0
  }
}
```

{% endcut %}
{.table-cell}
||
||

_attributes_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageAttributesSchema**

  **Type**: [PageAttributesSchema](#entity-PageAttributesSchema)

  Additional page attributes

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "created_at": "2025-01-01T00:00:00Z",
    "modified_at": "2025-01-01T00:00:00Z",
    "lang": "example",
    "is_readonly": true,
    "comments_count": 0,
    "comments_enabled": true,
    "keywords": [
      "example"
    ],
    "is_collaborative": true,
    "is_draft": true
  }
  ```

  {% endcut %}

{% endcut %}

**Not returned by default**
Specify `attributes` in the `?fields=attributes, ...` list to include it in the response.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "modified_at": "2025-01-01T00:00:00Z",
  "lang": "example",
  "is_readonly": true,
  "comments_count": 0,
  "comments_enabled": true,
  "keywords": [
    "example"
  ],
  "is_collaborative": true,
  "is_draft": true
}
```

{% endcut %}
{.table-cell}
||
||

_breadcrumbs_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [BreadcrumbSchema](#entity-BreadcrumbSchema)[]

**Not returned by default**
Specify `breadcrumbs` in the `?fields=breadcrumbs, ...` list to include it in the response.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": 0,
    "title": "example",
    "slug": "example",
    "page_exists": true
  }
]
```

{% endcut %}
{.table-cell}
||
||

_content_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

**Not returned by default**
Specify `content` in the `?fields=content, ...` list to include it in the response.

The page content as a string.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_owner_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageOwnerSchema**

  **Type**: [PageOwnerSchema](#entity-PageOwnerSchema)

  Page owner

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "user": {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": {
        "src": null,
        "id": "example"
      },
      "name": "example",
      "type": "wiki",
      "metadata": {
        "url": "example",
        "externals_count": 0
      },
      "members_count": 0
    }
  }
  ```

  {% endcut %}

{% endcut %}

**Not returned by default**

Specify `owner` in the `?fields=owner, ...` list to include it in the response.

The page owner

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "user": {
    "id": 0,
    "identity": null,
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "group": {
    "id": "example",
    "identity": null,
    "name": "example",
    "type": "wiki",
    "metadata": {},
    "members_count": 0
  }
}
```

{% endcut %}
{.table-cell}
||
||

_redirect_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **RedirectSchema**

  **Type**: [RedirectSchema](#entity-RedirectSchema)

  Information about the page redirect

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "page_id": 0,
    "redirect_target": {
      "id": 0,
      "slug": "example",
      "title": "example",
      "page_type": "page"
    }
  }
  ```

  {% endcut %}

{% endcut %}

**Not returned by default**
Specify `redirect` in the `?fields=redirect, ...` list to include it in the response.
If no redirect is set, `null` is returned

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "page_id": 0,
  "redirect_target": {
    "id": 0,
    "slug": "example",
    "title": "example",
    "page_type": "page"
  }
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### PageType {#entity-PageType}

Page type:
- `page` — a regular page
- `grid` — a page with a table
- `cloud_page` — a cloud page
- `wysiwyg` — a page with the visual editor
- `template` — a page template


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `page`, `grid`, `cloud_page`, `wysiwyg`, `template`

</div>

<div class="openapi-entity">

### PageDetailsSchema {#entity-PageDetailsSchema}

Brief information about the page

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Page ID
{.table-cell}
||
||

_page_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageType**

  **Type**: [PageType](#entity-PageType)

  Page type:
  - `page` — a regular page
  - `grid` — a page with a table
  - `cloud_page` — a cloud page
  - `wysiwyg` — a page with the visual editor
  - `template` — a page template


  _Enum:_{.json-schema-reset .json-schema-value} `page`, `grid`, `cloud_page`, `wysiwyg`, `template`

{% endcut %}

Page type

_Example:_{.json-schema-reset .json-schema-example} `page`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Page address (slug)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Page title

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "slug": "example",
  "title": "example",
  "page_type": "page"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### RedirectSchema {#entity-RedirectSchema}

Information about the page redirect

#|
|| **Name** | **Description** ||
||

_page_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

The ID of the page that the current page redirects to.
{.table-cell}
||
||

_redirect_target_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageDetailsSchema**

  **Type**: [PageDetailsSchema](#entity-PageDetailsSchema)

  Brief information about the page

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "slug": "example",
    "title": "example",
    "page_type": "page"
  }
  ```

  {% endcut %}

{% endcut %}

For example, given a redirect chain A->B->C->D, for A, B, and C this will be page D

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "slug": "example",
  "title": "example",
  "page_type": "page"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "page_id": 0,
  "redirect_target": {
    "id": 0,
    "slug": "example",
    "title": "example",
    "page_type": "page"
  }
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### BreadcrumbSchema {#entity-BreadcrumbSchema}

A breadcrumb item (navigation trail)

#|
|| **Name** | **Description** ||
||

_page_exists_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Whether the page exists
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Page address (slug)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Page title

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Page ID (if the page exists)
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "title": "example",
  "slug": "example",
  "page_exists": true
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### PageAttributesSchema {#entity-PageAttributesSchema}

Additional page attributes

#|
|| **Name** | **Description** ||
||

_comments_count_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Number of comments on the page
{.table-cell}
||
||

_comments_enabled_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Comments are enabled
{.table-cell}
||
||

_created_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Date and time the page was created

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_is_readonly_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

The page is read-only
{.table-cell}
||
||

_lang_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Page language (for example, `ru`, `en`)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_modified_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Date and time the page was last modified

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_is_collaborative_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

Collaborative editing is enabled
{.table-cell}
||
||

_is_draft_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

The page is a draft
{.table-cell}
||
||

_keywords_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string[]

Page keywords

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  "example"
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "modified_at": "2025-01-01T00:00:00Z",
  "lang": "example",
  "is_readonly": true,
  "comments_count": 0,
  "comments_enabled": true,
  "keywords": [
    "example"
  ],
  "is_collaborative": true,
  "is_draft": true
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### AccessTypeInheritedAPI {#entity-AccessTypeInheritedAPI}

Inherited access type:
- `all_staff` — access for all staff members
- `custom` — personal accesses


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `all_staff`, `custom`

</div>

<div class="openapi-entity">

### PageInviteStatus {#entity-PageInviteStatus}

Invitation link status:
- `0` — deleted
- `1` — enabled
- `2` — disabled


**Type**: integer

_Enum:_{.json-schema-reset .json-schema-value} `0`, `1`, `2`

</div>

<div class="openapi-entity">

### AclPreviewInviteSchema {#entity-AclPreviewInviteSchema}

Information about the invitation link for page access

#|
|| **Name** | **Description** ||
||

_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageInviteStatus**

  **Type**: [PageInviteStatus](#entity-PageInviteStatus)

  Invitation link status:
  - `0` — deleted
  - `1` — enabled
  - `2` — disabled


  _Enum:_{.json-schema-reset .json-schema-value} `0`, `1`, `2`

  _Example:_{.json-schema-reset .json-schema-example} `0`

{% endcut %}

Link status:
- 0 - deleted (not returned by the API)
- 1 - enabled
- 2 - disabled


_Example:_{.json-schema-reset .json-schema-example} `0`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "status": 0
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### PageAccessPolicySchema {#entity-PageAccessPolicySchema}

Page access policy

#|
|| **Name** | **Description** ||
||

_access_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageAccessTypeAPI**

  **Type**: [PageAccessTypeAPI](#entity-PageAccessTypeAPI)

  Page access type:
  - `inherited` — inherited from the parent page
  - `all_staff` — access for all staff members
  - `custom` — personal accesses


  _Enum:_{.json-schema-reset .json-schema-value} `inherited`, `all_staff`, `custom`

{% endcut %}

Access type

_Example:_{.json-schema-reset .json-schema-example} `inherited`
{.table-cell}
||
||

_all_staff_role_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **RoleAllStaffAPI**

  **Type**: [RoleAllStaffAPI](#entity-RoleAllStaffAPI)

  Role for "all staff members" access:
  - `reader` — read
  - `editor` — edit
  - `extra_editor` — extended editing (access management)


  _Enum:_{.json-schema-reset .json-schema-value} `reader`, `editor`, `extra_editor`

{% endcut %}

Role for "all staff members" access

_Example:_{.json-schema-reset .json-schema-example} `reader`
{.table-cell}
||
||

_has_external_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

Indicates that the page is accessible to external consultants. If None, the status is unknown
{.table-cell}
||
||

_inherited_access_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **AccessTypeInheritedAPI**

  **Type**: [AccessTypeInheritedAPI](#entity-AccessTypeInheritedAPI)

  Inherited access type:
  - `all_staff` — access for all staff members
  - `custom` — personal accesses


  _Enum:_{.json-schema-reset .json-schema-value} `all_staff`, `custom`

{% endcut %}

Inherited access type

_Example:_{.json-schema-reset .json-schema-example} `all_staff`
{.table-cell}
||
||

_invite_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **AclPreviewInviteSchema**

  **Type**: [AclPreviewInviteSchema](#entity-AclPreviewInviteSchema)

  Information about the invitation link for page access

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "status": 0
  }
  ```

  {% endcut %}

{% endcut %}

Information about the invitation link for page access

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "status": 0
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "access_type": "inherited",
  "inherited_access_type": "all_staff",
  "all_staff_role": "reader",
  "has_external": true,
  "invite": {
    "status": 0
  }
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserIdentity {#entity-UserIdentity}

User identifier

#|
|| **Name** | **Description** ||
||

_cloud_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in the cloud (for the external instance)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in Yandex (for the internal instance)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserSchema {#entity-UserSchema}

Information about the user

#|
|| **Name** | **Description** ||
||

_affiliation_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User affiliation (for example, `yandex`, `external`)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_display_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User display name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Internal user identifier
{.table-cell}
||
||

_is_dismissed_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

The user has been dismissed
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_identity_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserIdentity**

  **Type**: [UserIdentity](#entity-UserIdentity)

  User identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "uid": "example",
    "cloud_uid": "example"
  }
  ```

  {% endcut %}

{% endcut %}

User identifier in the system

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### ComSource {#entity-ComSource}

Group identifier source:
- `dir` — IAM
- `cloud` — Yandex Cloud
- `com` — local database
- `staff` — Staff (internal employee directory)


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `dir`, `cloud`, `com`, `staff`

</div>

<div class="openapi-entity">

### ComIdentitySchema {#entity-ComIdentitySchema}

Group identifier

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Group identifier in the specified source

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_src_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ComSource**

  **Type**: [ComSource](#entity-ComSource)

  Group identifier source:
  - `dir` — IAM
  - `cloud` — Yandex Cloud
  - `com` — local database
  - `staff` — Staff (internal employee directory)


  _Enum:_{.json-schema-reset .json-schema-value} `dir`, `cloud`, `com`, `staff`

{% endcut %}

Identifier source

_Example:_{.json-schema-reset .json-schema-example} `dir`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "src": "dir",
  "id": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### GroupType {#entity-GroupType}

Group type:
- `wiki` — a Wiki group
- `service` — a service group
- `servicerole` — a service role
- `group` — a regular group
- `department` — a department


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `wiki`, `service`, `servicerole`, `group`, `department`

</div>

<div class="openapi-entity">

### IntranetGroupMetadata {#entity-IntranetGroupMetadata}

Group metadata from the internal directory

#|
|| **Name** | **Description** ||
||

_externals_count_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Number of external consultants in the group
{.table-cell}
||
||

_url_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Group URL in the directory

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "url": "example",
  "externals_count": 0
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### IamGroupMetadata {#entity-IamGroupMetadata}

Group metadata from IAM (Identity and Access Management)

#|
|| **Name** | **Description** ||
||

_dir_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Directory identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "dir_id": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### GroupSchema {#entity-GroupSchema}

Information about the group

#|
|| **Name** | **Description** ||
||

_identity_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ComIdentitySchema**

  **Type**: [ComIdentitySchema](#entity-ComIdentitySchema)

  Group identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "src": "dir",
    "id": "example"
  }
  ```

  {% endcut %}

{% endcut %}

Group identifier in the system

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "src": "dir",
  "id": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Group name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **GroupType**

  **Type**: [GroupType](#entity-GroupType)

  Group type:
  - `wiki` — a Wiki group
  - `service` — a service group
  - `servicerole` — a service role
  - `group` — a regular group
  - `department` — a department


  _Enum:_{.json-schema-reset .json-schema-value} `wiki`, `service`, `servicerole`, `group`, `department`

{% endcut %}

Group type

_Example:_{.json-schema-reset .json-schema-example} `wiki`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Group identifier. For the external instance, dir_id; for the internal instance, staff_id

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_members_count_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Number of group members

_Default:_{.json-schema-reset .json-schema-value} `0`
{.table-cell}
||
||

_metadata_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**Any of 2 types**" %}{.json-schema-combinators data-marker=or}

- **IntranetGroupMetadata**

  **Type**: [IntranetGroupMetadata](#entity-IntranetGroupMetadata)

  Group metadata from the internal directory

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "url": "example",
    "externals_count": 0
  }
  ```

  {% endcut %}

- **IamGroupMetadata**

  **Type**: [IamGroupMetadata](#entity-IamGroupMetadata)

  Group metadata from IAM (Identity and Access Management)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "dir_id": "example"
  }
  ```

  {% endcut %}

{% endcut %}

Additional group metadata

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "url": "example",
  "externals_count": 0
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "identity": {
    "src": "dir",
    "id": "example"
  },
  "name": "example",
  "type": "wiki",
  "metadata": {
    "url": "example",
    "externals_count": 0
  },
  "members_count": 0
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### RoleAPI {#entity-RoleAPI}

Page access role:
- `reader` — read
- `editor` — edit
- `extra_editor` — extended editing (access management)
- `author` — author (full access)


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `reader`, `editor`, `extra_editor`, `author`

</div>

<div class="openapi-entity">

### InheritanceAPI {#entity-InheritanceAPI}

Access inheritance for subpages:
- `inherited` — access is inherited by subpages
- `not_inherited` — access is not inherited by subpages


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `inherited`, `not_inherited`

</div>

<div class="openapi-entity">

### PageAccessItem {#entity-PageAccessItem}

A personal page access item

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Unique access identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_role_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **RoleAPI**

  **Type**: [RoleAPI](#entity-RoleAPI)

  Page access role:
  - `reader` — read
  - `editor` — edit
  - `extra_editor` — extended editing (access management)
  - `author` — author (full access)


  _Enum:_{.json-schema-reset .json-schema-value} `reader`, `editor`, `extra_editor`, `author`

{% endcut %}

Access role

_Example:_{.json-schema-reset .json-schema-example} `reader`
{.table-cell}
||
||

_created_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Date and time the access was created

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_group_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **GroupSchema**

  **Type**: [GroupSchema](#entity-GroupSchema)

  Information about the group

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": "example",
    "identity": {
      "src": "dir",
      "id": "example"
    },
    "name": "example",
    "type": "wiki",
    "metadata": {
      "url": "example",
      "externals_count": 0
    },
    "members_count": 0
  }
  ```

  {% endcut %}

{% endcut %}

The group the access is granted to (populated if the access is granted to a group)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "identity": {
    "src": "dir",
    "id": "example"
  },
  "name": "example",
  "type": "wiki",
  "metadata": {
    "url": "example",
    "externals_count": 0
  },
  "members_count": 0
}
```

{% endcut %}
{.table-cell}
||
||

_inheritance_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **InheritanceAPI**

  **Type**: [InheritanceAPI](#entity-InheritanceAPI)

  Access inheritance for subpages:
  - `inherited` — access is inherited by subpages
  - `not_inherited` — access is not inherited by subpages


  _Enum:_{.json-schema-reset .json-schema-value} `inherited`, `not_inherited`

{% endcut %}

Access inheritance setting for subpages

_Example:_{.json-schema-reset .json-schema-example} `inherited`
{.table-cell}
||
||

_user_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserSchema**

  **Type**: [UserSchema](#entity-UserSchema)

  Information about the user

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  }
  ```

  {% endcut %}

{% endcut %}

The user the access is granted to (populated if the access is granted to a user)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "created_at": "2025-01-01T00:00:00Z",
  "user": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "group": {
    "id": "example",
    "identity": {
      "src": null,
      "id": "example"
    },
    "name": "example",
    "type": "wiki",
    "metadata": {
      "url": "example",
      "externals_count": 0
    },
    "members_count": 0
  },
  "role": "reader",
  "inheritance": "inherited"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### PageAccessListsSchema {#entity-PageAccessListsSchema}

Page access lists

#|
|| **Name** | **Description** ||
||

_by_link_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [PageAccessItem](#entity-PageAccessItem)[]

Accesses via the invitation link

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "created_at": "2025-01-01T00:00:00Z",
    "user": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": null,
      "name": "example",
      "type": "wiki",
      "metadata": {},
      "members_count": 0
    },
    "role": "reader",
    "inheritance": "inherited"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_direct_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [PageAccessItem](#entity-PageAccessItem)[]

Direct personal accesses to the page

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "created_at": "2025-01-01T00:00:00Z",
    "user": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": null,
      "name": "example",
      "type": "wiki",
      "metadata": {},
      "members_count": 0
    },
    "role": "reader",
    "inheritance": "inherited"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_inherited_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [PageAccessItem](#entity-PageAccessItem)[]

Accesses inherited from parent pages

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "created_at": "2025-01-01T00:00:00Z",
    "user": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": null,
      "name": "example",
      "type": "wiki",
      "metadata": {},
      "members_count": 0
    },
    "role": "reader",
    "inheritance": "inherited"
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "direct": [
    {
      "id": "example",
      "created_at": "2025-01-01T00:00:00Z",
      "user": {
        "id": 0,
        "identity": null,
        "username": "example",
        "display_name": "example",
        "is_dismissed": true,
        "affiliation": "example"
      },
      "group": {
        "id": "example",
        "identity": null,
        "name": "example",
        "type": null,
        "metadata": null,
        "members_count": 0
      },
      "role": "reader",
      "inheritance": "inherited"
    }
  ],
  "by_link": [
    null
  ],
  "inherited": [
    null
  ]
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### PageOwnerSchema {#entity-PageOwnerSchema}

Page owner

#|
|| **Name** | **Description** ||
||

_group_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **GroupSchema**

  **Type**: [GroupSchema](#entity-GroupSchema)

  Information about the group

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": "example",
    "identity": {
      "src": "dir",
      "id": "example"
    },
    "name": "example",
    "type": "wiki",
    "metadata": {
      "url": "example",
      "externals_count": 0
    },
    "members_count": 0
  }
  ```

  {% endcut %}

{% endcut %}

**(not implemented)** The group that owns the page

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "identity": {
    "src": "dir",
    "id": "example"
  },
  "name": "example",
  "type": "wiki",
  "metadata": {
    "url": "example",
    "externals_count": 0
  },
  "members_count": 0
}
```

{% endcut %}
{.table-cell}
||
||

_user_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserSchema**

  **Type**: [UserSchema](#entity-UserSchema)

  Information about the user

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  }
  ```

  {% endcut %}

{% endcut %}

The user who owns the page

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "user": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "group": {
    "id": "example",
    "identity": {
      "src": null,
      "id": "example"
    },
    "name": "example",
    "type": "wiki",
    "metadata": {
      "url": "example",
      "externals_count": 0
    },
    "members_count": 0
  }
}
```

{% endcut %}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.